@echo off

rem set BGCASHCHECK_SERVER_DIR=C:\BGCashcheckServer
rem set JAVA_HOME=C:\Program Files\Java\jre6

if not "%BGCASHCHECK_SERVER_DIR%" == "" goto bgsd_ok
echo The BGCASHCHECK_SERVER_DIR environment variable is not defined.
echo This environment variable is needed to run this program.
echo Set BGCASHCHECK_SERVER_DIR system variable!
goto end

:bgsd_ok
if not "%JAVA_HOME%" == "" goto jh_ok
echo The JAVA_HOME environment variable is not defined.
echo This environment variable is needed to run this program.
echo Set JAVA_HOME system variable!
goto end

:jh_ok

cd %BGCASHCHECK_SERVER_DIR%

set CLASSPATH=%BGCASHCHECK_SERVER_DIR%;%BGCASHCHECK_SERVER_DIR%\lib\*

"%JAVA_HOME%\bin\java" -cp %CLASSPATH% ru.bitel.frk.server.CmdTcpServer %1 %2 %3 > %BGCASHCHECK_SERVER_DIR%\log\cashserver.out 2>&1

:end
